userFlowApiConnectorConfiguration を取得する

名前空間: microsoft.graph

重要

Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。

b2cIdentityUserFlowapiConnectorConfiguration プロパティを取得して、ユーザー フローに対して有効になっている API コネクタの詳細を示します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) IdentityUserFlow.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション IdentityUserFlow.ReadWrite.All

職場または学校アカウントは、次のいずれかのロールに属している必要があります。

  • グローバル管理者
  • 外部 ID ユーザー Flow管理者

HTTP 要求

GET identity/b2cUserFlows/{id}/apiConnectorConfiguration

オプションのクエリ パラメーター

このメソッドは、応答を $expand カスタマイズするのに役立つ OData クエリ パラメーターをサポートします。 たとえば、その手順とpostAttributeCollection手順の API コネクタをpostFederationSignup取得するには、次を追加$expand=postFederationSignup,postAttributeCollectionします。 一般的な情報については、「OData クエリ パラメーター」を参照してください。

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。

要求本文

このメソッドには、要求本文を指定しません。

応答

成功した場合、このメソッドは 200 OK 応答コードと apiConnectorConfiguration オブジェクトを返します。

要求

要求の例を次に示します。

GET https://graph.microsoft.com/beta/identity/b2cUserFlows/B2C_1_testuserflow/apiConnectorConfiguration?$expand=postFederationSignup,postAttributeCollection

応答

応答の例を次に示します。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#identity/b2cUserFlows('B2C_1_testuserflow')/apiConnectorConfiguration(postFederationSignup(),postAttributeCollection())",
    "postFederationSignup": {
        "id": "<guid1>",
        "displayName": "Test API Connector 1",
        "targetUrl": "https://someapi.com/api/endpoint",
        "authenticationConfiguration": {
            "@odata.type": "#microsoft.graph.basicAuthentication",
            "username": "<USERNAME>",
            "password": "******"
        }
    },
    "postAttributeCollection": {
        "id": "<guid2>",
        "displayName": "Test API Connector 2",
        "targetUrl": "https://someotherapi.com/api/endpoint",
        "authenticationConfiguration": {
            "@odata.type": "#microsoft.graph.basicAuthentication",
            "username": "<USERNAME2>",
            "password": "******"
        }
    }
}